{"models":[{"endpoint_id":"fal-ai/nano-banana-2/edit","metadata":{"display_name":"Nano Banana 2","category":"image-to-image","description":"Nano Banana 2 is Google's new state-of-the-art image generation and editing model\n","status":"active","tags":[],"updated_at":"2026-04-28T16:29:09.509Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a900b75/DHb_RgXoXsYLdvzQz6mdn_95e87a44239c43448939b4c382dd957c.jpg","model_url":"https://fal.run/fal-ai/nano-banana-2/edit","license_type":"commercial","date":"2026-02-26T16:20:09.685Z","group":{"key":"nano-banana-2","label":"Image Editing"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/nano-banana-2/edit","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/nano-banana-2/edit queue.","x-fal-metadata":{"endpointId":"fal-ai/nano-banana-2/edit","category":"image-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a900b75/DHb_RgXoXsYLdvzQz6mdn_95e87a44239c43448939b4c382dd957c.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/nano-banana-2/edit","documentationUrl":"https://fal.ai/models/fal-ai/nano-banana-2/edit/api","about":"Gemini 3.1 Flash Image is a text-to-image model that generates images from text descriptions."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"NanoBanana2EditInput":{"title":"NanoBanana2ImageToImageInput","properties":{"audio_url":{"title":"Audio URL","examples":["https://storage.googleapis.com/falserverless/example_inputs/reference_audio.wav"],"description":"Optional audio file to use as input context. Accepts an http(s)/data URL (downloaded and sent inline, max 15MB).","anyOf":[{"type":"string"},{"type":"null"}]},"num_images":{"title":"Number of Images","default":1,"type":"integer","maximum":4,"description":"The number of images to generate.","minimum":1},"image_urls":{"title":"Image URLs","items":{"type":"string"},"type":"array","examples":[["https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input.png","https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input-2.png"]],"description":"The URLs of the images to use for image-to-image generation or image editing. Optional when at least one of `video_url`, `audio_url`, or `pdf_url` is provided."},"video_url":{"title":"Video URL","examples":["https://storage.googleapis.com/falserverless/web-examples/wan/t2v.mp4"],"description":"Optional video to use as input context. Accepts an http(s)/data URL to a video file (downloaded and sent inline, max 15MB) or a YouTube URL (passed through to the model without downloading).","anyOf":[{"type":"string"},{"type":"null"}]},"pdf_url":{"title":"PDF URL","examples":["https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf"],"description":"Optional PDF document to use as input context. Accepts an http(s)/data URL (downloaded and sent inline, max 15MB).","anyOf":[{"type":"string"},{"type":"null"}]},"sync_mode":{"title":"Sync Mode","type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false},"limit_generations":{"title":"Limit Generations","type":"boolean","description":"Experimental parameter to limit the number of generations from each round of prompting to 1. Set to `True` to to disregard any instructions in the prompt regarding the number of images to generate and ignore any intermediate images generated by the model. This may affect generation quality.","default":true},"system_prompt":{"title":"System Prompt","type":"string","maxLength":50000,"description":"Optional system instruction that steers the model's persona and output style across the request. Leave blank to omit; when provided, it is sent as the system instruction to Gemini (or as a system message on OpenAI-compatible providers).","default":""},"aspect_ratio":{"title":"Aspect Ratio","default":"auto","description":"The aspect ratio of the generated image. Supports extreme ratios: 4:1, 1:4, 8:1, 1:8.","anyOf":[{"enum":["auto","21:9","16:9","3:2","4:3","5:4","1:1","4:5","3:4","2:3","9:16","4:1","1:4","8:1","1:8"],"type":"string"},{"type":"null"}]},"output_format":{"title":"Output Format","enum":["jpeg","png","webp"],"type":"string","description":"The format of the generated image.","default":"png"},"thinking_level":{"title":"Thinking Level","description":"When set, enables model thinking with the given level ('minimal' or 'high') and includes thoughts in the generation. Omit to disable.","anyOf":[{"enum":["minimal","high"],"type":"string"},{"type":"null"}]},"seed":{"title":"Seed","description":"The seed for the random number generator.","anyOf":[{"type":"integer"},{"type":"null"}]},"resolution":{"title":"Resolution","enum":["0.5K","1K","2K","4K"],"type":"string","description":"The resolution of the image to generate.","default":"1K"},"prompt":{"title":"Prompt","examples":["make a photo of the man driving the car down the california coastline"],"minLength":3,"type":"string","maxLength":50000,"description":"The prompt for image editing."},"enable_web_search":{"title":"Enable Web Search","type":"boolean","description":"Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image.","default":false},"safety_tolerance":{"title":"Safety Tolerance","enum":["1","2","3","4","5","6"],"type":"string","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","default":"4"}},"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","num_images","seed","aspect_ratio","output_format","safety_tolerance","sync_mode","image_urls","system_prompt","resolution","video_url","audio_url","pdf_url","limit_generations","enable_web_search","thinking_level"]},"NanoBanana2EditOutput":{"title":"NanoBanana2ImageToImageOutput","properties":{"description":{"title":"Description","type":"string","description":"The description of the generated images."},"images":{"title":"Images","examples":[[{"url":"https://storage.googleapis.com/falserverless/example_outputs/nano-banana-2-edit-output.png","content_type":"image/png","file_name":"nano-banana-2-edit-output.png"}]],"items":{"$ref":"#/components/schemas/ImageFile"},"type":"array","description":"The edited images."}},"type":"object","required":["images","description"],"x-fal-order-properties":["images","description"]},"ImageFile":{"title":"ImageFile","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"height":{"title":"Height","description":"The height of the image","anyOf":[{"type":"integer"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the image","anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"]}}},"paths":{"/fal-ai/nano-banana-2/edit/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-2/edit/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/nano-banana-2/edit":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBanana2EditInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-2/edit/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBanana2EditOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/nano-banana-pro/edit","metadata":{"display_name":"Nano Banana Pro","category":"image-to-image","description":"Nano Banana Pro is Google's new state-of-the-art image generation and editing model","status":"active","tags":["realism","typography"],"updated_at":"2026-06-18T17:13:56.639Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c2f0f/p3rXI18zMYTBz1M0qP2h4_b9a2087ce0b64cd788cb5ec067edc26e.jpg","model_url":"https://fal.run/fal-ai/nano-banana-pro/edit","license_type":"commercial","date":"2025-11-20T14:27:03.344Z","group":{"key":"Nano-Banana-Pro","label":"Image Editing"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/nano-banana-pro/edit","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/nano-banana-pro/edit queue.","x-fal-metadata":{"endpointId":"fal-ai/nano-banana-pro/edit","category":"image-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c2f0f/p3rXI18zMYTBz1M0qP2h4_b9a2087ce0b64cd788cb5ec067edc26e.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/nano-banana-pro/edit","documentationUrl":"https://fal.ai/models/fal-ai/nano-banana-pro/edit/api","about":"Gemini 3 Pro Image is a text-to-image model that generates images from text descriptions.\n\nDecompression-bomb inputs to ``image_urls`` are rejected upstream by\n``validate_image_async`` (called from ``GoogleAIClient._format_image``):\nthe validator now enforces a header-only ``max_image_pixels`` cap\n(default 89,478,485 ≈ PIL's ``MAX_IMAGE_PIXELS``) *before* any pixel\ndecode, so oversized inputs raise a deterministic 422\n``image_too_large`` instead of OOM-killing the runner and taking out\nevery multiplexed request on it (``max_multiplexing=20``)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"NanoBananaProEditInput":{"required":["prompt","image_urls"],"title":"NanoBananaImageToImageInput","properties":{"aspect_ratio":{"anyOf":[{"enum":["auto","21:9","16:9","3:2","4:3","5:4","1:1","4:5","3:4","2:3","9:16"],"type":"string"},{"type":"null"}],"default":"auto","title":"Aspect Ratio","description":"The aspect ratio of the generated image."},"prompt":{"examples":["make a photo of the man driving the car down the california coastline"],"minLength":3,"title":"Prompt","description":"The prompt for image editing.","maxLength":50000,"type":"string"},"sync_mode":{"default":false,"title":"Sync Mode","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean"},"image_urls":{"examples":[["https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input.png","https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input-2.png"]],"title":"Image URLs","description":"The URLs of the images to use for image-to-image generation or image editing.","items":{"type":"string"},"type":"array"},"num_images":{"type":"integer","default":1,"title":"Number of Images","description":"The number of images to generate.","maximum":4,"minimum":1},"resolution":{"default":"1K","title":"Resolution","enum":["1K","2K","4K"],"description":"The resolution of the image to generate.","type":"string"},"enable_web_search":{"default":false,"title":"Enable Web Search","description":"Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image.","type":"boolean"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed for the random number generator."},"limit_generations":{"default":true,"title":"Limit Generations","description":"Experimental parameter to limit the number of generations from each round of prompting to 1. Set to `True` to to disregard any instructions in the prompt regarding the number of images to generate.","type":"boolean"},"output_format":{"default":"png","title":"Output Format","enum":["jpeg","png","webp"],"description":"The format of the generated image.","type":"string"},"system_prompt":{"default":"","title":"System Prompt","description":"Optional system instruction that steers the model's persona and output style across the request. Leave blank to omit; when provided, it is sent as the system instruction to Gemini (or as a system message on OpenAI-compatible providers).","maxLength":50000,"type":"string"},"safety_tolerance":{"default":"4","title":"Safety Tolerance","enum":["1","2","3","4","5","6"],"description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","type":"string"}},"x-fal-order-properties":["prompt","num_images","seed","aspect_ratio","output_format","safety_tolerance","sync_mode","image_urls","system_prompt","resolution","limit_generations","enable_web_search"],"type":"object"},"NanoBananaProEditOutput":{"required":["images","description"],"title":"NanoBananaImageToImageOutput","properties":{"images":{"examples":[[{"file_name":"nano-banana-pro-edit-output.png","content_type":"image/png","url":"https://storage.googleapis.com/falserverless/example_outputs/nano-banana-pro-edit-output.png"}]],"title":"Images","description":"The edited images.","items":{"$ref":"#/components/schemas/ImageFile"},"type":"array"},"description":{"title":"Description","description":"The description of the generated images.","type":"string"}},"x-fal-order-properties":["images","description"],"type":"object"},"ImageFile":{"required":["url"],"title":"ImageFile","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the image"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the image"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."}},"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"],"type":"object"}}},"paths":{"/fal-ai/nano-banana-pro/edit/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-pro/edit/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/nano-banana-pro/edit":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBananaProEditInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-pro/edit/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBananaProEditOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"openai/gpt-image-2/edit","metadata":{"display_name":"GPT Image 2 API","category":"image-to-image","description":"GPT Image 2, OpenAI's latest image model, is capable of making fine-grained, detailed edits to images.","status":"active","tags":["gpt-image-2","openai","chatgpt-images-2"],"updated_at":"2026-06-02T20:56:25.668Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c2f0d/G7gs81xziNgfaucyi7NO7_cfb3919cd2914dfba679e44ce8bbecdc.jpg","model_url":"https://fal.run/openai/gpt-image-2/edit","license_type":"commercial","date":"2026-04-20T19:16:13.451Z","group":{"key":"gpt-image-2","label":"Edit"},"highlighted":false,"kind":"inference","stream_url":"https://fal.run/openai/gpt-image-2/edit/stream","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for openai/gpt-image-2/edit","version":"1.0.0","description":"The OpenAPI schema for the openai/gpt-image-2/edit queue.","x-fal-metadata":{"endpointId":"openai/gpt-image-2/edit","category":"image-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c2f0d/G7gs81xziNgfaucyi7NO7_cfb3919cd2914dfba679e44ce8bbecdc.jpg","playgroundUrl":"https://fal.ai/models/openai/gpt-image-2/edit","documentationUrl":"https://fal.ai/models/openai/gpt-image-2/edit/api","about":"GPT Image 2 is OpenAI's next-generation image generation model (alpha).\nIt supports flexible resolutions up to 4K and multiple model variants.\n\nUse it as an image-to-image (editing) API through fal!"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"GptImage2EditInput":{"properties":{"quality":{"default":"high","description":"Quality for the generated image. Use 'auto' to let the model pick the best quality for the prompt.","title":"Quality","type":"string","enum":["auto","low","medium","high"]},"prompt":{"examples":["Same workers, same beam, same lunch boxes - but they're all on their phones now. One is taking a selfie. One is on a call looking annoyed. Same danger, new priorities. A hard hat has AirPods."],"minLength":2,"maxLength":32000,"title":"Prompt","type":"string","description":"The prompt for image generation"},"mask_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the mask image to use for the generation. This indicates what part of the image to edit.","title":"Mask URL"},"output_format":{"default":"png","description":"Output format for the images","title":"Output Format","type":"string","enum":["jpeg","png","webp"]},"num_images":{"examples":[1],"maximum":4,"default":1,"description":"Number of images to generate","title":"Number of Images","type":"integer","minimum":1},"image_urls":{"examples":[["https://v3b.fal.media/files/b/0a8691af/9Se_1_VX1wzTjjTOpWbs9_bb39c2eb-1a41-4749-b1d0-cf134abc8bbf.png"]],"items":{"type":"string"},"description":"The URLs of the images to use as a reference for the generation. A maximum of 16 images are allowed.","title":"Image URLs","type":"array","maxItems":16},"sync_mode":{"default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","title":"Sync Mode","type":"boolean"},"image_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9","auto"]}],"default":"auto","description":"The size of the generated image. Use 'auto' to infer from input images.","title":"Image Size"}},"required":["prompt","image_urls"],"x-fal-order-properties":["prompt","image_urls","image_size","quality","num_images","output_format","sync_mode","mask_url"],"title":"EditImageRequest","type":"object"},"GptImage2EditOutput":{"properties":{"images":{"examples":[[{"url":"https://v3b.fal.media/files/b/0a8691b0/yUt7tifLSbg1WzWWgfj2o.png","file_name":"yUt7tifLSbg1WzWWgfj2o.png","width":1024,"content_type":"image/png","height":1024}]],"items":{"$ref":"#/components/schemas/ImageFile"},"description":"The generated images.","title":"Images","type":"array"}},"required":["images"],"x-fal-order-properties":["images"],"title":"EditImageResponse","type":"object"},"ImageSize":{"properties":{"width":{"exclusiveMinimum":0,"maximum":14142,"default":512,"description":"The width of the generated image.","title":"Width","type":"integer"},"height":{"exclusiveMinimum":0,"maximum":14142,"default":512,"description":"The height of the generated image.","title":"Height","type":"integer"}},"x-fal-order-properties":["width","height"],"title":"ImageSize","type":"object"},"ImageFile":{"properties":{"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the image","title":"Width"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the image","title":"Height"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"}},"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"],"title":"ImageFile","type":"object"}}},"paths":{"/openai/gpt-image-2/edit/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/openai/gpt-image-2/edit/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/openai/gpt-image-2/edit":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GptImage2EditInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/openai/gpt-image-2/edit/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GptImage2EditOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/flux/schnell","metadata":{"display_name":"FLUX.1 [schnell]","category":"text-to-image","description":"FLUX.1 [schnell] is a 12 billion parameter flow transformer that generates high-quality images from text in 1 to 4 steps, suitable for personal and commercial use.","status":"active","tags":[],"updated_at":"2026-06-24T23:02:10.109Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9af64d/GxvCUPd3gO-MSYcy06g0x_1641cfe028c2429b8e12e4fc320eb0a8.jpg","model_url":"https://fal.run/fal-ai/flux/schnell","github_url":"https://www.apache.org/licenses/LICENSE-2.0.txt","license_type":"commercial","date":"2024-11-25T00:00:00.000Z","group":{"key":"flux-1","label":"Text to Image [schnell]"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/flux/schnell","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/flux/schnell queue.","x-fal-metadata":{"endpointId":"fal-ai/flux/schnell","category":"text-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a9af64d/GxvCUPd3gO-MSYcy06g0x_1641cfe028c2429b8e12e4fc320eb0a8.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/flux/schnell","documentationUrl":"https://fal.ai/models/fal-ai/flux/schnell/api","about":"FLUX.1 [schnell], turbo mode for next generation text-to-image model FLUX."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FluxSchnellInput":{"required":["prompt"],"type":"object","title":"SchnellTextToImageInput","properties":{"num_images":{"type":"integer","title":"Num Images","minimum":1,"maximum":4,"description":"The number of images to generate.","default":1},"guidance_scale":{"type":"number","title":"Guidance scale (CFG)","minimum":1,"maximum":20,"description":"\n        The CFG (Classifier Free Guidance) scale is a measure of how close you want\n        the model to stick to your prompt when looking for a related image to show you.\n    ","default":3.5},"enable_safety_checker":{"type":"boolean","title":"Enable Safety Checker","default":true,"description":"If set to true, the safety checker will be enabled."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n        The same seed and the same prompt given to the same version of the model\n        will output the same image every time.\n    "},"num_inference_steps":{"type":"integer","title":"Num Inference Steps","minimum":1,"maximum":12,"description":"The number of inference steps to perform.","default":4},"acceleration":{"type":"string","title":"Acceleration","default":"none","description":"The speed of the generation. The higher the speed, the faster the generation.","enum":["none","regular","high"]},"image_size":{"title":"Image Size","default":"landscape_4_3","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated image."},"output_format":{"type":"string","title":"Output Format","default":"jpeg","description":"The format of the generated image.","enum":["jpeg","png"]},"sync_mode":{"type":"boolean","title":"Sync Mode","default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"prompt":{"type":"string","title":"Prompt","description":"The prompt to generate an image from.","examples":["Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture."]}},"x-fal-order-properties":["num_inference_steps","prompt","image_size","seed","guidance_scale","sync_mode","num_images","enable_safety_checker","output_format","acceleration"]},"FluxSchnellOutput":{"required":["images","timings","seed","has_nsfw_concepts","prompt"],"type":"object","title":"Output","properties":{"seed":{"type":"integer","title":"Seed","description":"\n            Seed of the generated Image. It will be the same value of the one passed in the\n            input or the randomly generated that was used in case none was passed.\n        "},"images":{"type":"array","title":"Images","items":{"$ref":"#/components/schemas/Image"},"description":"The generated image files info."},"timings":{"type":"object","title":"Timings","additionalProperties":{"type":"number"}},"has_nsfw_concepts":{"type":"array","title":"Has Nsfw Concepts","items":{"type":"boolean"},"description":"Whether the generated images contain NSFW concepts."},"prompt":{"type":"string","title":"Prompt","description":"The prompt used for generating the image."}},"x-fal-order-properties":["images","timings","seed","has_nsfw_concepts","prompt"]},"ImageSize":{"type":"object","title":"ImageSize","properties":{"height":{"default":512,"type":"integer","title":"Height","maximum":14142,"description":"The height of the generated image.","exclusiveMinimum":0},"width":{"default":512,"type":"integer","title":"Width","maximum":14142,"description":"The width of the generated image.","exclusiveMinimum":0}},"x-fal-order-properties":["width","height"]},"Image":{"required":["url","width","height"],"type":"object","title":"Image","properties":{"height":{"type":"integer","title":"Height"},"width":{"type":"integer","title":"Width"},"url":{"type":"string","title":"Url"},"content_type":{"title":"Content Type","default":"image/jpeg","anyOf":[{"type":"string"},{"type":"null"}]}},"x-fal-order-properties":["url","width","height","content_type"]}}},"paths":{"/fal-ai/flux/schnell/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/flux/schnell/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/flux/schnell":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FluxSchnellInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/flux/schnell/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FluxSchnellOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/nano-banana-2","metadata":{"display_name":"Nano Banana 2","category":"text-to-image","description":"Nano Banana 2 is Google's new state-of-the-art fast image generation and editing model","status":"active","tags":[],"updated_at":"2026-06-11T00:04:55.093Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a900b9e/ptbZcVWIQ_fXGGHfv8Zez_0ea5ca41bdf143a29e21e30a53120672.jpg","model_url":"https://fal.run/fal-ai/nano-banana-2","license_type":"commercial","date":"2026-02-26T16:08:01.361Z","group":{"key":"nano-banana-2","label":"Text to Image"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/nano-banana-2","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/nano-banana-2 queue.","x-fal-metadata":{"endpointId":"fal-ai/nano-banana-2","category":"text-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a900b9e/ptbZcVWIQ_fXGGHfv8Zez_0ea5ca41bdf143a29e21e30a53120672.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/nano-banana-2","documentationUrl":"https://fal.ai/models/fal-ai/nano-banana-2/api","about":"Gemini 3.1 Flash Image is a text-to-image model that generates images from text descriptions."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"NanoBanana2Input":{"title":"NanoBanana2TextToImageInput","properties":{"output_format":{"title":"Output Format","enum":["jpeg","png","webp"],"type":"string","description":"The format of the generated image.","default":"png"},"seed":{"title":"Seed","description":"The seed for the random number generator.","anyOf":[{"type":"integer"},{"type":"null"}]},"num_images":{"title":"Number of Images","default":1,"type":"integer","maximum":4,"description":"The number of images to generate.","minimum":1},"thinking_level":{"title":"Thinking Level","description":"When set, enables model thinking with the given level ('minimal' or 'high') and includes thoughts in the generation. Omit to disable.","anyOf":[{"enum":["minimal","high"],"type":"string"},{"type":"null"}]},"resolution":{"title":"Resolution","enum":["0.5K","1K","2K","4K"],"type":"string","description":"The resolution of the image to generate.","default":"1K"},"prompt":{"title":"Prompt","examples":["An action shot of a black lab swimming in an inground suburban swimming pool. The camera is placed meticulously on the water line, dividing the image in half, revealing both the dogs head above water holding a tennis ball in it's mouth, and it's paws paddling underwater."],"minLength":3,"type":"string","maxLength":50000,"description":"The text prompt to generate an image from."},"sync_mode":{"title":"Sync Mode","type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false},"limit_generations":{"title":"Limit Generations","type":"boolean","description":"Experimental parameter to limit the number of generations from each round of prompting to 1. Set to `True` to to disregard any instructions in the prompt regarding the number of images to generate and ignore any intermediate images generated by the model. This may affect generation quality.","default":true},"system_prompt":{"title":"System Prompt","type":"string","maxLength":50000,"description":"Optional system instruction that steers the model's persona and output style across the request. Leave blank to omit; when provided, it is sent as the system instruction to Gemini (or as a system message on OpenAI-compatible providers).","default":""},"safety_tolerance":{"title":"Safety Tolerance","enum":["1","2","3","4","5","6"],"type":"string","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","default":"4"},"enable_web_search":{"title":"Enable Web Search","type":"boolean","description":"Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image.","default":false},"aspect_ratio":{"title":"Aspect Ratio","default":"auto","description":"The aspect ratio of the generated image. Supports extreme ratios: 4:1, 1:4, 8:1, 1:8. Use \"auto\" to let the model decide based on the prompt.","anyOf":[{"enum":["auto","21:9","16:9","3:2","4:3","5:4","1:1","4:5","3:4","2:3","9:16","4:1","1:4","8:1","1:8"],"type":"string"},{"type":"null"}]}},"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","num_images","seed","aspect_ratio","output_format","safety_tolerance","sync_mode","system_prompt","resolution","limit_generations","enable_web_search","thinking_level"]},"NanoBanana2Output":{"title":"NanoBanana2TextToImageOutput","properties":{"description":{"title":"Description","type":"string","description":"The description of the generated images."},"images":{"title":"Images","examples":[[{"url":"https://storage.googleapis.com/falserverless/example_outputs/nano-banana-2-t2i-output.png","content_type":"image/png","file_name":"nano-banana-2-t2i-output.png"}]],"items":{"$ref":"#/components/schemas/ImageFile"},"type":"array","description":"The generated images."}},"type":"object","required":["images","description"],"x-fal-order-properties":["images","description"]},"ImageFile":{"title":"ImageFile","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"height":{"title":"Height","description":"The height of the image","anyOf":[{"type":"integer"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the image","anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"]}}},"paths":{"/fal-ai/nano-banana-2/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-2/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/nano-banana-2":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBanana2Input"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-2/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBanana2Output"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"openai/gpt-image-2","metadata":{"display_name":"GPT Image 2 API","category":"text-to-image","description":"GPT Image 2, OpenAI's latest image model, is capable of creating extremely detailed images with fine typography.","status":"active","tags":["gpt-image-2","openai","typography","chatgpt-images-2"],"updated_at":"2026-06-11T00:04:42.458Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a970c4a/BkrYELYOiaZMXCw-pgRcB_QlgOenEx.png","model_url":"https://fal.run/openai/gpt-image-2","license_type":"commercial","date":"2026-04-20T19:16:42.065Z","group":{"key":"gpt-image-2","label":"Text to Image"},"highlighted":false,"kind":"inference","stream_url":"https://fal.run/openai/gpt-image-2/stream","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for openai/gpt-image-2","version":"1.0.0","description":"The OpenAPI schema for the openai/gpt-image-2 queue.","x-fal-metadata":{"endpointId":"openai/gpt-image-2","category":"text-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a970c4a/BkrYELYOiaZMXCw-pgRcB_QlgOenEx.png","playgroundUrl":"https://fal.ai/models/openai/gpt-image-2","documentationUrl":"https://fal.ai/models/openai/gpt-image-2/api","about":"GPT Image 2 is OpenAI's next-generation image generation model (alpha).\nIt supports flexible resolutions up to 4K and multiple model variants.\n\nUse it as a text-to-image API through fal!"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"GptImage2Input":{"properties":{"num_images":{"examples":[1],"maximum":4,"default":1,"description":"Number of images to generate","title":"Number of Images","type":"integer","minimum":1},"sync_mode":{"default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","title":"Sync Mode","type":"boolean"},"quality":{"default":"high","description":"Quality for the generated image. Use 'auto' to let the model pick the best quality for the prompt.","title":"Quality","type":"string","enum":["auto","low","medium","high"]},"prompt":{"examples":["create a realistic image taken with iphone at these coordinates 41°43′32″N 49°56′49″W 15 April 1912"],"minLength":2,"maxLength":32000,"title":"Prompt","type":"string","description":"The prompt for image generation"},"image_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9","auto"]}],"default":"landscape_4_3","description":"The size of the generated image. Supports preset names, explicit {width, height}, or 'auto' to let the model pick the best size. Concrete sizes must have both dimensions as multiples of 16, max edge 3840px, aspect ratio <= 3:1, total pixels between 655,360 and 8,294,400.","title":"Image Size"},"output_format":{"default":"png","description":"Output format for the images","title":"Output Format","type":"string","enum":["jpeg","png","webp"]}},"required":["prompt"],"x-fal-order-properties":["prompt","image_size","quality","num_images","output_format","sync_mode"],"title":"TextToImageRequest","type":"object"},"GptImage2Output":{"properties":{"images":{"examples":[[{"url":"https://v3b.fal.media/files/b/0a869129/EnWrO3XWjPE0nxBDpaQrj.png","file_name":"EnWrO3XWjPE0nxBDpaQrj.png","width":1024,"content_type":"image/png","height":1024}]],"items":{"$ref":"#/components/schemas/ImageFile"},"description":"The generated images.","title":"Images","type":"array"}},"required":["images"],"x-fal-order-properties":["images"],"title":"ImageResponse","type":"object"},"ImageSize":{"properties":{"width":{"exclusiveMinimum":0,"maximum":14142,"default":512,"description":"The width of the generated image.","title":"Width","type":"integer"},"height":{"exclusiveMinimum":0,"maximum":14142,"default":512,"description":"The height of the generated image.","title":"Height","type":"integer"}},"x-fal-order-properties":["width","height"],"title":"ImageSize","type":"object"},"ImageFile":{"properties":{"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the image","title":"Width"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the image","title":"Height"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"}},"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"],"title":"ImageFile","type":"object"}}},"paths":{"/openai/gpt-image-2/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/openai/gpt-image-2/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/openai/gpt-image-2":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GptImage2Input"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/openai/gpt-image-2/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GptImage2Output"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/flux/dev","metadata":{"display_name":"FLUX.1 [dev]","category":"text-to-image","description":"FLUX.1 [dev] is a 12 billion parameter flow transformer that generates high-quality images from text. It is suitable for personal and commercial use.","status":"active","tags":[],"updated_at":"2026-04-21T17:47:32.206Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","model_url":"https://fal.run/fal-ai/flux/dev","license_type":"commercial","date":"2025-04-01T18:10:42.284Z","group":{"key":"flux-1","label":"Text to Image [dev]"},"highlighted":false,"kind":"inference","stream_url":"https://fal.run/fal-ai/flux/dev/stream","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/flux/dev","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/flux/dev queue.","x-fal-metadata":{"endpointId":"fal-ai/flux/dev","category":"text-to-image","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/flux/dev","documentationUrl":"https://fal.ai/models/fal-ai/flux/dev/api","about":"FLUX.1 [dev], next generation text-to-image model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FluxDevInput":{"required":["prompt"],"type":"object","title":"BaseInput","properties":{"num_images":{"type":"integer","title":"Num Images","minimum":1,"maximum":4,"description":"The number of images to generate.","default":1},"guidance_scale":{"type":"number","title":"Guidance scale (CFG)","minimum":1,"maximum":20,"description":"\n        The CFG (Classifier Free Guidance) scale is a measure of how close you want\n        the model to stick to your prompt when looking for a related image to show you.\n    ","default":3.5},"enable_safety_checker":{"type":"boolean","title":"Enable Safety Checker","default":true,"description":"If set to true, the safety checker will be enabled."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n        The same seed and the same prompt given to the same version of the model\n        will output the same image every time.\n    "},"image_size":{"title":"Image Size","default":"landscape_4_3","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated image."},"acceleration":{"type":"string","title":"Acceleration","default":"none","description":"The speed of the generation. The higher the speed, the faster the generation.","enum":["none","regular","high"]},"output_format":{"type":"string","title":"Output Format","default":"jpeg","description":"The format of the generated image.","enum":["jpeg","png"]},"num_inference_steps":{"type":"integer","title":"Num Inference Steps","minimum":1,"maximum":50,"description":"The number of inference steps to perform.","default":28},"sync_mode":{"type":"boolean","title":"Sync Mode","default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"prompt":{"type":"string","title":"Prompt","description":"The prompt to generate an image from.","examples":["Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture."]}},"x-fal-order-properties":["prompt","image_size","num_inference_steps","seed","guidance_scale","sync_mode","num_images","enable_safety_checker","output_format","acceleration"]},"FluxDevOutput":{"required":["images","timings","seed","has_nsfw_concepts","prompt"],"type":"object","title":"Output","properties":{"seed":{"type":"integer","title":"Seed","description":"\n            Seed of the generated Image. It will be the same value of the one passed in the\n            input or the randomly generated that was used in case none was passed.\n        "},"images":{"type":"array","title":"Images","items":{"$ref":"#/components/schemas/Image"},"description":"The generated image files info."},"timings":{"type":"object","title":"Timings","additionalProperties":{"type":"number"}},"has_nsfw_concepts":{"type":"array","title":"Has Nsfw Concepts","items":{"type":"boolean"},"description":"Whether the generated images contain NSFW concepts."},"prompt":{"type":"string","title":"Prompt","description":"The prompt used for generating the image."}},"x-fal-order-properties":["images","timings","seed","has_nsfw_concepts","prompt"]},"ImageSize":{"type":"object","title":"ImageSize","properties":{"height":{"default":512,"type":"integer","title":"Height","maximum":14142,"description":"The height of the generated image.","exclusiveMinimum":0},"width":{"default":512,"type":"integer","title":"Width","maximum":14142,"description":"The width of the generated image.","exclusiveMinimum":0}},"x-fal-order-properties":["width","height"]},"Image":{"required":["url","width","height"],"type":"object","title":"Image","properties":{"height":{"type":"integer","title":"Height"},"width":{"type":"integer","title":"Width"},"url":{"type":"string","title":"Url"},"content_type":{"title":"Content Type","default":"image/jpeg","anyOf":[{"type":"string"},{"type":"null"}]}},"x-fal-order-properties":["url","width","height","content_type"]}}},"paths":{"/fal-ai/flux/dev/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/flux/dev/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/flux/dev":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FluxDevInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/flux/dev/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FluxDevOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/nano-banana-pro","metadata":{"display_name":"Nano Banana Pro","category":"text-to-image","description":"Nano Banana Pro is Google's new state-of-the-art image generation and editing model","status":"active","tags":["realism","typography"],"updated_at":"2026-04-28T16:29:09.509Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8691ce/SR0_u1zPJbx8jCIO6bJR0_8c83f0d66bbd48f3b55f825117941f84.jpg","model_url":"https://fal.run/fal-ai/nano-banana-pro","license_type":"commercial","date":"2025-11-20T14:24:45.001Z","group":{"key":"Nano-Banana-Pro","label":"Text to Image"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/nano-banana-pro","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/nano-banana-pro queue.","x-fal-metadata":{"endpointId":"fal-ai/nano-banana-pro","category":"text-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a8691ce/SR0_u1zPJbx8jCIO6bJR0_8c83f0d66bbd48f3b55f825117941f84.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/nano-banana-pro","documentationUrl":"https://fal.ai/models/fal-ai/nano-banana-pro/api","about":"Gemini 3 Pro Image is a text-to-image model that generates images from text descriptions."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"NanoBananaProInput":{"required":["prompt"],"title":"NanoBananaTextToImageInput","properties":{"aspect_ratio":{"anyOf":[{"enum":["auto","21:9","16:9","3:2","4:3","5:4","1:1","4:5","3:4","2:3","9:16"],"type":"string"},{"type":"null"}],"default":"1:1","title":"Aspect Ratio","description":"The aspect ratio of the generated image."},"prompt":{"examples":["An action shot of a black lab swimming in an inground suburban swimming pool. The camera is placed meticulously on the water line, dividing the image in half, revealing both the dogs head above water holding a tennis ball in it's mouth, and it's paws paddling underwater."],"minLength":3,"title":"Prompt","description":"The text prompt to generate an image from.","maxLength":50000,"type":"string"},"sync_mode":{"default":false,"title":"Sync Mode","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean"},"num_images":{"type":"integer","default":1,"title":"Number of Images","description":"The number of images to generate.","maximum":4,"minimum":1},"resolution":{"default":"1K","title":"Resolution","enum":["1K","2K","4K"],"description":"The resolution of the image to generate.","type":"string"},"enable_web_search":{"default":false,"title":"Enable Web Search","description":"Enable web search for the image generation task. This will allow the model to use the latest information from the web to generate the image.","type":"boolean"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed for the random number generator."},"limit_generations":{"default":true,"title":"Limit Generations","description":"Experimental parameter to limit the number of generations from each round of prompting to 1. Set to `True` to to disregard any instructions in the prompt regarding the number of images to generate.","type":"boolean"},"output_format":{"default":"png","title":"Output Format","enum":["jpeg","png","webp"],"description":"The format of the generated image.","type":"string"},"system_prompt":{"default":"","title":"System Prompt","description":"Optional system instruction that steers the model's persona and output style across the request. Leave blank to omit; when provided, it is sent as the system instruction to Gemini (or as a system message on OpenAI-compatible providers).","maxLength":50000,"type":"string"},"safety_tolerance":{"default":"4","title":"Safety Tolerance","enum":["1","2","3","4","5","6"],"description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","type":"string"}},"x-fal-order-properties":["prompt","num_images","seed","aspect_ratio","output_format","safety_tolerance","sync_mode","system_prompt","resolution","limit_generations","enable_web_search"],"type":"object"},"NanoBananaProOutput":{"required":["images","description"],"title":"NanoBananaTextToImageOutput","properties":{"images":{"examples":[[{"file_name":"nano-banana-pro-t2i-output.png","content_type":"image/png","url":"https://storage.googleapis.com/falserverless/example_outputs/nano-banana-pro-t2i-output.png"}]],"title":"Images","description":"The generated images.","items":{"$ref":"#/components/schemas/ImageFile"},"type":"array"},"description":{"title":"Description","description":"The description of the generated images.","type":"string"}},"x-fal-order-properties":["images","description"],"type":"object"},"ImageFile":{"required":["url"],"title":"ImageFile","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the image"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the image"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."}},"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"],"type":"object"}}},"paths":{"/fal-ai/nano-banana-pro/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-pro/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/nano-banana-pro":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBananaProInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana-pro/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBananaProOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/nano-banana/edit","metadata":{"display_name":"Nano Banana","category":"image-to-image","description":"Google's famous original image generation and editing model","status":"active","tags":["image-editing"],"updated_at":"2026-06-26T20:56:24.634Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9a4a/mjFnPPGaaBaf5OHrDSoSO_ns4MA9ac.png","model_url":"https://fal.run/fal-ai/nano-banana/edit","license_type":"commercial","date":"2025-08-19T22:16:18.949Z","group":{"key":"nano-banana","label":"Image Editing"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/nano-banana/edit","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/nano-banana/edit queue.","x-fal-metadata":{"endpointId":"fal-ai/nano-banana/edit","category":"image-to-image","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9a4a/mjFnPPGaaBaf5OHrDSoSO_ns4MA9ac.png","playgroundUrl":"https://fal.ai/models/fal-ai/nano-banana/edit","documentationUrl":"https://fal.ai/models/fal-ai/nano-banana/edit/api","about":"Gemini 2.5 Flash Image is a text-to-image model that generates images from text descriptions."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"NanoBananaEditInput":{"x-fal-order-properties":["prompt","num_images","seed","aspect_ratio","output_format","safety_tolerance","sync_mode","image_urls","limit_generations"],"required":["prompt","image_urls"],"properties":{"image_urls":{"items":{"type":"string"},"type":"array","description":"The URLs of the images to use for image-to-image generation or image editing.","examples":[["https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input.png","https://storage.googleapis.com/falserverless/example_inputs/nano-banana-edit-input-2.png"]],"title":"Image URLs"},"safety_tolerance":{"enum":["1","2","3","4","5","6"],"type":"string","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","default":"4","title":"Safety Tolerance"},"seed":{"description":"The seed for the random number generator.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"aspect_ratio":{"title":"Aspect Ratio","description":"The aspect ratio of the generated image.","anyOf":[{"enum":["auto","21:9","16:9","3:2","4:3","5:4","1:1","4:5","3:4","2:3","9:16"],"type":"string"},{"type":"null"}],"default":"auto"},"prompt":{"maxLength":50000,"minLength":3,"type":"string","description":"The prompt for image editing.","examples":["make a photo of the man driving the car down the california coastline"],"title":"Prompt"},"sync_mode":{"type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false,"title":"Sync Mode"},"output_format":{"enum":["jpeg","png","webp"],"type":"string","description":"The format of the generated image.","default":"png","title":"Output Format"},"limit_generations":{"type":"boolean","description":"Experimental parameter to limit the number of generations from each round of prompting to 1. Set to `True` to to disregard any instructions in the prompt regarding the number of images to generate.","default":true,"title":"Limit Generations"},"num_images":{"minimum":1,"maximum":4,"type":"integer","description":"The number of images to generate.","default":1,"title":"Number of Images"}},"title":"NanoBananaImageToImageInput","type":"object"},"NanoBananaEditOutput":{"x-fal-order-properties":["images","description"],"required":["images","description"],"properties":{"images":{"items":{"$ref":"#/components/schemas/ImageFile"},"type":"array","description":"The edited images.","examples":[[{"content_type":"image/png","file_name":"nano-banana-multi-edit-output.png","url":"https://storage.googleapis.com/falserverless/example_outputs/nano-banana-multi-edit-output.png"}]],"title":"Images"},"description":{"type":"string","description":"The description of the generated images.","title":"Description"}},"title":"NanoBananaImageToImageOutput","type":"object"},"ImageFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height"],"required":["url"],"properties":{"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"height":{"description":"The height of the image","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height"},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"width":{"description":"The width of the image","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width"},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}},"title":"ImageFile","type":"object"}}},"paths":{"/fal-ai/nano-banana/edit/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana/edit/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/nano-banana/edit":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBananaEditInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/nano-banana/edit/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NanoBananaEditOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v3/pro/image-to-video","metadata":{"display_name":"Kling Video v3 Image to Video [Pro]","category":"image-to-video","description":"Kling 3.0 Pro: Top-tier image-to-video with cinematic visuals, fluid motion, and native audio generation, with custom element support.","status":"active","tags":["image-to-video"],"updated_at":"2026-05-29T18:50:02.672Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c2fb3/yPzcdzINnY5RdSoEqHc8G_382d4ec9337344ccaacf5599057f6cd0.jpg","model_url":"https://fal.run/fal-ai/kling-video/v3/pro/image-to-video","license_type":"commercial","date":"2026-02-04T15:48:44.935Z","group":{"key":"kling-v3","label":"Image to Video (pro)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v3/pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v3/pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v3/pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c2fb3/yPzcdzINnY5RdSoEqHc8G_382d4ec9337344ccaacf5599057f6cd0.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v3/pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v3/pro/image-to-video/api","about":"Kling V3 (pro) Image to Video API.\n\nThe Kling V3 model is the latest generation of image-to-video with\nimproved visual quality and motion consistency. This version also\nsupports native audio generation when the `generate_audio` parameter is enabled."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV3ProImageToVideoInput":{"required":["start_image_url"],"properties":{"generate_audio":{"type":"boolean","title":"Generate Audio","default":true,"description":"Whether to generate native audio for the video. Supports Chinese and English voice output. Other languages are automatically translated to English. For English speech, use lowercase letters; for acronyms or proper nouns, use uppercase."},"duration":{"examples":["12"],"type":"string","title":"Duration","default":"5","enum":["3","4","5","6","7","8","9","10","11","12","13","14","15"],"description":"The duration of the generated video in seconds"},"elements":{"examples":[[{"frontal_image_url":"https://v3b.fal.media/files/b/0a8cfd5f/-kZL-ha3Iuelku5IHXC-A_glasses.png","reference_image_urls":["https://v3b.fal.media/files/b/0a8cfd62/psPCmzrD1y9vDgdyNfKAL_glasses_back.png"]},{"video_url":"https://v3b.fal.media/files/b/0a8cfd66/b03SOiQvKLlFx_jqdNZ9z_child_video.mp4"}]],"title":"Elements","anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/KlingV3ComboElementInput"}},{"type":"null"}],"description":"Elements (characters/objects) to include in the video. Each example can either be an image set (frontal + reference images) or a video. Reference in prompt as @Element1, @Element2, etc."},"shot_type":{"type":"string","title":"Shot Type","default":"customize","enum":["customize","intelligent"],"description":"The type of multi-shot video generation. 'intelligent' lets the model automatically determine shot structure."},"end_image_url":{"title":"End Image Url","anyOf":[{"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"timeout":20,"min_height":300,"min_aspect_ratio":0.4,"max_file_size":10485760},"ui":{"field":"image"},"type":"string","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},{"type":"null"}],"description":"URL of the image to be used for the end of the video"},"cfg_scale":{"type":"number","title":"Cfg Scale","minimum":0,"maximum":1,"description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","default":0.5},"start_image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/kling-v3/pro-i2v/start_image.png"],"type":"string","title":"Start Image Url","x-fal":{"max_aspect_ratio":2.5,"min_width":300,"timeout":20,"min_height":300,"min_aspect_ratio":0.4,"max_file_size":10485760},"description":"URL of the image to be used for the video","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},"multi_prompt":{"examples":[null],"title":"Multi Prompt","anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/KlingV3MultiPromptElement"}},{"type":"null"}],"description":"List of prompts for multi-shot video generation. If provided, divides the video into multiple shots."},"prompt":{"examples":["The craftsman slowly examines the bowl, turning it gently in his weathered hands. His eyes reflect years of wisdom. Subtle smile forms on his face. Dust particles drift in warm light. Breathing motion, blinking eyes."],"title":"Prompt","anyOf":[{"type":"string","maxLength":2500},{"type":"null"}],"description":"Text prompt for video generation. Either prompt or multi_prompt must be provided, but not both."},"negative_prompt":{"type":"string","title":"Negative Prompt","default":"blur, distort, and low quality","maxLength":2500}},"title":"ImageToVideoV3ProRequest","type":"object","x-fal-order-properties":["prompt","multi_prompt","start_image_url","duration","generate_audio","end_image_url","elements","shot_type","negative_prompt","cfg_scale"]},"KlingVideoV3ProImageToVideoOutput":{"required":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"file_size":8431922,"file_name":"out.mp4","url":"https://storage.googleapis.com/falserverless/example_outputs/kling-v3/pro-i2v/out.mp4","content_type":"video/mp4"}]}},"title":"ImageToVideoV3ProOutput","type":"object","x-fal-order-properties":["video"]},"KlingV3ComboElementInput":{"properties":{"frontal_image_url":{"title":"Frontal Image Url","anyOf":[{"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"timeout":20,"min_height":300,"min_aspect_ratio":0.4,"max_file_size":10485760},"ui":{"field":"image"},"type":"string","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},{"type":"null"}],"description":"The frontal image of the element (main view)."},"voice_id":{"title":"Voice Id","anyOf":[{"type":"string"},{"type":"null"}],"description":"The voice ID for this element. The voice will be binded to the element and references to this element will use the binded voice. Get voice IDs from the following endpoint: https://fal.ai/models/fal-ai/kling-video/create-voice"},"reference_image_urls":{"title":"Reference Image Urls","anyOf":[{"type":"array","items":{"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"timeout":20,"min_height":300,"min_aspect_ratio":0.4,"max_file_size":10485760},"ui":{"field":"image"},"type":"string","_fal_ui_field":"image","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"}},{"type":"null"}],"description":"Additional reference images from different angles. 1-3 images supported. At least one image is required."},"video_url":{"title":"Video Url","anyOf":[{"x-fal":{"min_duration":3,"max_width":2160,"max_duration":10.05,"max_fps":60,"min_width":720,"min_fps":24,"timeout":30,"min_height":720,"max_height":2160,"max_file_size":209715200},"ui":{"field":"video"},"type":"string","limit_description":"Max file size: 200.0MB, Min width: 720px, Min height: 720px, Max width: 2160px, Max height: 2160px, Min duration: 3.0s, Max duration: 10.05s, Min FPS: 24.0, Max FPS: 60.0, Timeout: 30.0s"},{"type":"null"}],"description":"The video URL of the element. A request can only have one element with a video."}},"title":"KlingV3ComboElementInput","type":"object","x-fal-order-properties":["frontal_image_url","reference_image_urls","video_url","voice_id"]},"KlingV3MultiPromptElement":{"required":["prompt"],"properties":{"duration":{"type":"string","title":"Duration","default":"5","enum":["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"],"description":"The duration of this shot in seconds"},"prompt":{"type":"string","title":"Prompt","description":"The prompt for this shot."}},"title":"KlingV3MultiPromptElement","type":"object","x-fal-order-properties":["prompt","duration"]},"File":{"required":["url"],"properties":{"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."}},"title":"File","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kling-video/v3/pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v3/pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v3/pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV3ProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v3/pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV3ProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"Mg","has_more":true}
